Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMCrossover.cs	(revision 14711)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JSMCrossover", "An operator which crosses two JSM representations.")]
-  [StorableClass("3913C629-AEB3-4E65-BD3F-C1570F857443")]
+  [StorableType("3913C629-AEB3-4E65-BD3F-C1570F857443")]
   public abstract class JSMCrossover : ScheduleCrossover, IJSMOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMJOXCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMJOXCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMJOXCrossover.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JSMJobbasedOrderCrossover", "Represents a crossover operation swapping subsequences of the parents to generate offspring.")]
-  [StorableClass("07B61F8E-1B74-41FE-9E1C-5867FE813F5E")]
+  [StorableType("07B61F8E-1B74-41FE-9E1C-5867FE813F5E")]
   public class JSMJOXCrossover : JSMCrossover {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMOXCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMOXCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMOXCrossover.cs	(revision 14711)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JSMOrderCrossover", "Represents a crossover operation swapping sequences of the parents to generate offspring.")]
-  [StorableClass("F9A8DD2A-B448-4D31-9C3B-1CA554012894")]
+  [StorableType("F9A8DD2A-B448-4D31-9C3B-1CA554012894")]
   public class JSMOXCrossover : JSMCrossover {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMSXXCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMSXXCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Crossovers/JSMSXXCrossover.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JSMSubsequenceExchangeCrossover", "Represents a crossover operation identifiying and exchanging equal subsequences of the parents to generate offspring.")]
-  [StorableClass("3A853E45-B77D-405E-9820-C936F86916FE")]
+  [StorableType("3A853E45-B77D-405E-9820-C936F86916FE")]
   public class JSMSXXCrossover : JSMCrossover {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/JSMEncoding.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/JSMEncoding.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/JSMEncoding.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JobSequenceMatrixEncoding", "Represents an encoding for a scheduling Problem using a list of job sequences to deliver scheduleinformation.")]
-  [StorableClass("241D2421-3E9D-4FAB-8289-17B2011F9C32")]
+  [StorableType("241D2421-3E9D-4FAB-8289-17B2011F9C32")]
   public class JSMEncoding : Item, IScheduleEncoding {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/JSMRandomCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/JSMRandomCreator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/JSMRandomCreator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JobSequenceMatrixCreator", "Creator class used to create Job Sequence Matrix solutions for standard JobShop scheduling problems.")]
-  [StorableClass("0A901EBF-557A-4301-A25C-5E5F8170770E")]
+  [StorableType("0A901EBF-557A-4301-A25C-5E5F8170770E")]
   public class JSMRandomCreator : ScheduleCreator, IStochasticOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMManipulator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JSMManipulator", "An operator which manipulates a JSM representation.")]
-  [StorableClass("AFED6E58-2160-4AB9-9CA6-692B3E06640A")]
+  [StorableType("AFED6E58-2160-4AB9-9CA6-692B3E06640A")]
   public abstract class JSMManipulator : ScheduleManipulator, IJSMOperator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMShiftChangeManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMShiftChangeManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMShiftChangeManipulator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JSMShiftChangeManipulator", "Represents a manipulation operation where the operations of a randomly determined job are shifted in one direction for all resources.")]
-  [StorableClass("6F9C3642-99CA-4657-B380-BD420905CFDC")]
+  [StorableType("6F9C3642-99CA-4657-B380-BD420905CFDC")]
   public class JSMShiftChangeManipulator : JSMManipulator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMSwapManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMSwapManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/JobSequenceMatrix/Manipulators/JSMSwapManipulator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix {
   [Item("JSMSwapManipulator", "Represents a manipulation operation swapping parts of the individual.")]
-  [StorableClass("D39FAB2A-48C2-4FF5-9DBE-C1D9887F1819")]
+  [StorableType("D39FAB2A-48C2-4FF5-9DBE-C1D9887F1819")]
   public class JSMSwapManipulator : JSMManipulator {
 
